=================================================
This is an automated summary of the status of the R-bugs
repository.

Note that this may be neither complete nor perfectly
correct at any given instance: Not all bugs are reported,
and some reported bugs may have been fixed, but the
repository not yet updated.

Some bug fixes are difficult to verify because they pertain
to specific hardware or operating system versions. If you
have information to contribute, please do so.

If you happen to know how to fix a problem please send
patches to the bug repository, too.

New bugs are reported either through the web
interface at r-bugs.r-project.org or via email to
r-bugs@r-project.org. The bug.report() function can be
used to automate parts of the procedure on many systems.
Followups on older bugs can be done by including the string
"(PR#999)" in the Subject of an email (change 999 to the
actual reference number, of course!).
=================================================

Directory:  Accuracy

* PR# 1218 *
Subject:  behavior of r* and d* functions at boundaries 
From: Ben Bolker <bolker@zoo.ufl.edu>
Date: Mon, 17 Dec 2001 11:04:27 -0500
--points 1 and 2 were fixed for 1.4.0
* PR# 1228 *
Subject: bug with var(rep(1e30, 3))
From: Emmanuel Paradis <paradis@isem.univ-montp2.fr>
Date: Wed, 26 Dec 2001 13:03:31 +0100
* PR# 1244 *
Subject: possible bug in det using method="qr"
From: armin@approximity.com
Date: Sat, 5 Jan 2002 01:48:13 +0100 (MET)

Directory:  Add-ons

* PR# 974 *
Subject: Lattice: panel.superpose with ordered factor groups
From: John Maindonald <john.maindonald@anu.edu.au>
Date: Sat, 9 Jun 2001 11:08:51 +1000 (EST)
--The warning is standard S and R behaviour.
--Probably xyplot needs to avoid it (by unclassing?)
--Still there in lattice 0.3-0.
* PR# 1038 *
Subject: nlme: bug in getCovariateFormula
From: Setzer.Woodrow@epamail.epa.gov
Date: Tue, 31 Jul 2001 11:24:09 -0400
--change needed in package nlme
* PR# 1044 *
Subject: Polymarsall.c
From: pleu@hotmail.com
Date: Tue, 7 Aug 2001 22:42:07 +0200 (MET DST)
* PR# 1116 *
Subject: get.hist.quote does not work
From: arto.luoma@uta.fi
Date: Thu, 4 Oct 2001 14:45:29 +0200 (MET DST)
--Seems specific to one locale on one system.
--The bug is unlikely to be in R.
* PR# 1178 *
Subject: segfault using svm from e1071
From: Jan Rychter <jan@rychter.com>
Date: Tue, 20 Nov 2001 23:38:17 +0100
* PR# 1199 *
Subject: pixmap: infinite recursion with nonascii pnm-files
From: thomas.baumann@ch.tum.de
Date: Fri, 7 Dec 2001 11:07:52 +0100 (CET)
* PR# 1249 *
Subject: cluster - clusplot.default
From: Kjetilh Halvorsen <kjetilh@umsanet.edu.bo>
Date: Mon, 7 Jan 2002 14:55:27 -0400 (BOT)
* PR# 1266 *
Subject: bug in survival package basehaz function
From: Nicholas Lewin-Koh <kohnicho@comp.nus.edu.sg>
Date: Wed, 16 Jan 2002 14:15:21 +0800 (GMT-8)

Directory:  Analyses

none

Directory:  Documentation

* PR# 988 *
Subject: input for R-intro
From: "Paul E. Johnson" <pauljohn@ku.edu>
Date: Mon, 18 Jun 2001 13:57:10 -0500
* PR# 1011 *
Subject: R-intro suggestions part II
From: "Paul E. Johnson" <pauljohn@ukans.edu>
Date: Tue, 03 Jul 2001 15:50:06 -0500
* PR# 1136 *
Subject: cex/col/etc. in title(): documentation?
From: Ben Bolker <ben@zoo.ufl.edu>
Date: Mon, 22 Oct 2001 11:55:14 -0400 (EDT)
--MM:actually the documentation still could elaborate a bit..
* PR# 1195 *
Subject: help(dbinom) recommended documentation improvement
From: Rich Heiberger <rmh@surfer.sbm.temple.edu>
Date: Tue, 4 Dec 2001 11:29:58 -0500 (EST)
--This isn't really a bug: the line in question is a plain-text equation, not a
--piece of R code.
* PR# 1257 *
Subject: documentation of `las' on `par' help page
From: Achim Zeileis <zeileis@ci.tuwien.ac.at>
Date: Fri, 11 Jan 2002 12:30:20 +0100

Directory:  Graphics

* PR# 202 *
Subject: persp box occlusion bug
From: wsi@gcal.ac.uk
Date: Wed, 2 Jun 1999 15:02:03 +0200 (MET DST)
--The persp algorithm does not apply the occlusion rules to the frame, 
--which is always plotted first. 
--A bug, but not very simple to fix.
* PR# 660 *
Subject: identify.default ignores any setting of cex.
From: Prof Brian Ripley <ripley@stats.ox.ac.uk>
Date: Fri, 15 Sep 2000 10:23:39 +0100 (BST)
* PR# 776 *
Subject: strwidth does not take font into account
From: Martyn Plummer <plummer@iarc.fr>
Date: Tue, 19 Dec 2000 14:56:01 +0100 (CET)
--This needs a substantial redesign.
* PR# 791 *
Subject:  par(lab= *) / axis(*) bug 
From: maechler@stat.math.ethz.ch
Date: Fri, 22 Dec 2000 10:59:26 +0100
* PR# 816 *
Subject: dotplot: character size of labels
From: RINNER Heinrich <H.RINNER@TIROL.GV.AT>
Date: Thu, 18 Jan 2001 14:54:32 +0100
--Suggested fix is incorporated in 1.2.2.
--
--There is a deeper problem:  mtext() ignores par(cex=.5) in general.  
--To see the problem try:  par(cex=.5); mtext("hi")
--Paul thinks the right fix is to change the argument list for mtext so that
--cex=par(cex) by default rather than cex=NA by default (plus corresponding
--internal changes to  do_mtext in plot.c).
--This needs to be done very carefully because (i) the change suggested above 
--mayhave side-effects in many other pieces of interpreted code 
--(ii) do_mtext ignores dd->gp.cexbase unlike, for example, do_plot_xy 
--and anything to do with cexbase needs extreme care.
* PR# 820 *
Subject: interaction.plot
From: "Mark M. Span" <span@psy.uva.nl>
Date: Mon, 22 Jan 2001 10:47:39 +0100
--mtext is unscaled by default.  It is not clear if this should
--use the par("cex") setting or an inline cex setting such as cex.axis.
--It might make more sense to use axis rather than mtext, as boxplot does.
* PR# 828 *
Subject: termplot fails for composite non-factor terms
From: John Maindonald <john.maindonald@anu.edu.au>
Date: Sat, 27 Jan 2001 11:57:37 +1100 (EST)
--Neither of the proposed changes actually works in sufficient generality.
--
--The easy and unimportant part of this, the labels, is fixed in 1.2.2. Getting
--the data right is a project for 1.3
* PR# 831 *
Subject: screen can't go back to (split) screen with log="y" plot
From: Thomas Vogels <tov@ece.cmu.edu>
Date: 30 Jan 2001 00:39:41 -0500
--Still there. Suggested fix included in followups, but we didn't get around to
--try it in time for 1.2.3.
--
--Fix doesn't work. One problem is that the opar<-par();par(opar) idiom updates
--xaxp before xlog, and the new value of xaxp may only be valid under the new
--value of xlog.
* PR# 837 *
Subject: screen doesn't handle redrawing properly
From: Thomas Vogels <tov@ece.cmu.edu>
Date: 01 Feb 2001 14:20:52 -0500
* PR# 887 *
Subject: axis(adj=anything) has no effect
From: jhallman@frb.gov
Date: Wed, 28 Mar 2001 20:51:05 +0200 (MET DST)
* PR# 916 *
Subject:  par(mgp) bug 
From: paul@stat.auckland.ac.nz
Date: Fri, 20 Apr 2001 08:33:45 +1200 (NZST)
* PR# 943 *
Subject: legend() with xpd=T; omission of initial plot character
From: John Maindonald <john.maindonald@anu.edu.au>
Date: Sun, 20 May 2001 10:35:16 +1000
* PR# 997 *
Subject:  las=1 with log axis 
From: Peter Dalgaard BSA <pd@pubhealth.ku.dk>
Date: Wed, 27 Jun 2001 11:54:06 +0200
* PR# 1045 *
Subject: Palette changes on redraw
From: Peter Dalgaard BSA <p.dalgaard@biostat.ku.dk>
Date: 08 Aug 2001 19:08:01 +0200
* PR# 1088 *
Subject:  barplot forces xpd=TRUE 
From: Peter Whiting <pwhiting@whitings.org>
Date: Sat, 8 Sep 2001 10:19:00 -0500
* PR# 1147 *
Subject: postscript problem
From: kjetil halvorsen <kjetilh@umsanet.edu.bo>
Date: Fri, 26 Oct 2001 15:23:45 -0400
--This seems to be a problem with screen/layout rather than postscript.
* PR# 1157 *
Subject: identify(...plot=F)
From: Rolf Turner <rolf@maths.uwa.edu.au>
Date: Fri, 2 Nov 2001 09:43:49 +0800 (WST)
* PR# 1161 *
Subject: x-axis label in persp()
From: Rolf Turner <rolf@maths.uwa.edu.au>
Date: Wed, 7 Nov 2001 18:07:22 +0800 (WST)
* PR# 1207 *
Subject: boxplot labels incorrect when horizontal = TRUE
From: Rashid Nassar <rnassar@duke.edu>
Date: Sun, 9 Dec 2001 21:46:32 -0500 (EST)
* PR# 1235 *
Subject: Axes labelling with logarithmic scales
From: tobias.hoevekamp@ilw.agrl.ethz.ch
Date: Thu, 3 Jan 2002 15:29:02 +0100 (MET)
* PR# 1243 *
Subject: abline and log plots
From: stephen@cogsci.ed.ac.uk
Date: Sat, 5 Jan 2002 01:11:47 +0100 (MET)
* PR# 1248 *
Subject: piechart default colour
From: Peter Dalgaard BSA <p.dalgaard@biostat.ku.dk>
Date: 07 Jan 2002 18:54:02 +0100

Directory:  In-Out

none

Directory:  Installation

* PR# 1222 *
Subject: configure: sed: Function s%@PDFLATEX@%/usr/local/bin/pdflatex%g
From: Peter Kleiweg <kleiweg@let.rug.nl>
Date: Thu, 20 Dec 2001 14:09:42 +0100 (CET)
--problem is on hppa2.0-hp-hpux10.20: may be HP-UX specific

Directory:  Language

* PR# 408 *
Subject: convolution bug
From: wsimpson@gcal.ac.uk
Date: Fri, 28 Jan 2000 11:17:36 +0100 (MET)
* PR# 412 *
Subject: anomalies with call objects
From: Peter Dalgaard BSA <p.dalgaard@biostat.ku.dk>
Date: 06 Feb 2000 01:18:50 +0100
* PR# 669 *
Subject: Bug(s) w/ rbind.data.frame(); fix also read.table(*, as.is = TRUE) ?
From: Martin Maechler <maechler@stat.math.ethz.ch>
Date: Mon, 25 Sep 2000 10:17:15 +0200
--status of AsIs columns
* PR# 921 *
Subject:  Managed to confuse match.arg 
From: J.C.Rougier@durham.ac.uk
Date: Wed, 25 Apr 2001 12:22:54 +0100 (BST)
* PR# 1073 *
Subject: Wierd problem comparing numeric values and list using ==
From: "Warnes, Gregory R" <gregory_r_warnes@groton.pfizer.com>
Date: Fri, 24 Aug 2001 22:07:41 -0400
--see also PR#1075
* PR# 1076 *
Subject: Re: [Rd] Wierd problem comparing numeric values and list using == 
From: John Chambers <jmc@research.bell-labs.com>
Date: Mon, 27 Aug 2001 08:44:22 -0400
--part of PR#1073
* PR# 1186 *
Subject: a patch to tapply
From: Vadim Ogranovich <vograno@arbitrade.com>
Date: Thu, 29 Nov 2001 14:48:35 -0600
* PR# 1193 *
Subject: Re: [R] appending similar data frames?
From: Thomas Lumley <tlumley@u.washington.edu>
Date: Mon, 3 Dec 2001 13:46:35 -0800 (PST)
* PR# 1214 *
Subject: syntax questtion, maybe a bug
From: Rich Heiberger <rmh@surfer.sbm.temple.edu>
Date: Thu, 13 Dec 2001 13:46:54 -0500 (EST)
--Is .2logl meant to be a valid name in R? It is S
* PR# 1241 *
Subject:  Problem with "missing" in "local" 
From: J.C.Rougier@durham.ac.uk
Date: Fri, 4 Jan 2002 13:34:34 GMT

Directory:  Low-level

* PR# 989 *
Subject: "[.data.frame" allows un-named 3rd subscript
From: "Charles C. Berry" <cberry@tajo.ucsd.edu>
Date: Mon, 18 Jun 2001 13:13:46 -0700 (PDT)
* PR# 1063 *
Subject: interrupting Sys.sleep
From: Thomas Lumley <tlumley@u.washington.edu>
Date: Mon, 20 Aug 2001 13:55:29 -0700 (PDT)
* PR# 1068 *
Subject: Interrupts (was Re: [Rd] X11 protocol errors ...)
From: Luke Tierney <luke@nokomis.stat.umn.edu>
Date: Wed, 22 Aug 2001 19:32:51 -0500
--see also followup in PR#1069
* PR# 1069 *
Subject: Interrupts (was Re: [Rd] X11 protocol errors ...)
From: "John W. Eaton" <jwe@bevo.che.wisc.edu>
Date: Wed, 22 Aug 2001 21:56:33 -0500
--part of PR#1068
* PR# 1120 *
Subject: bug in write.table?
From: Ott Toomet <siim@obs.ee>
Date: Sun, 7 Oct 2001 18:24:34 +0200 (CEST)
--Traced down to an effect of read.dta in foreign interacting with do_paste. Fixed
--in foreign, but do_paste may need to use strlen() rather than LENGTH().
--
* PR# 1211 *
Subject: crash bug in get("function.name")()
From: Rich Heiberger <rmh@surfer.sbm.temple.edu>
Date: Tue, 11 Dec 2001 17:34:07 -0500 (EST)
* PR# 1247 *
Subject: Mishandling missing "..."
From: David Brahm  <brahm@alum.mit.edu>
Date: Mon, 7 Jan 2002 10:52:09 -0500
* PR# 1267 *
Subject: hashing NaN
From: Thomas Lumley <tlumley@u.washington.edu>
Date: Wed, 16 Jan 2002 16:29:35 -0800 (PST)
--Patch put in R-devel for further testing.

Directory:  Macintosh

none

Directory:  Misc

* PR# 1126 *
Subject: R-bug report www page whishlist
From: jens.lund@nordea.com
Date: Wed, 10 Oct 2001 18:24:29 +0200 (MET DST)
* PR# 1158 *
Subject: bug.report()sends empty message
From: Paul Gilbert <pgilbert@bank-banque-canada.ca>
Date: Mon, 05 Nov 2001 10:05:27 -0500

Directory:  Models

none

Directory:  Startup

none

Directory:  System-specific

* PR# 848 *
Subject: X11 device doesn't handle destroy events correcly
From: Thomas Vogels <tov@ece.cmu.edu>
Date: 13 Feb 2001 17:40:46 -0500
* PR# 1020 *
Subject: .Call and Mandrake 8.0
From: lcottret@yahoo.fr
Date: Wed, 11 Jul 2001 15:34:23 +0200 (MET DST)
--problem with symbol names only on Mandrake 8.0, not 7.2
--needs reply to follow-up
* PR# 1097 *
Subject: R 1.3.1 fails 'make check' on arm in the Bessel example
From: Dirk Eddelbuettel <edd@debian.org>
Date: Thu, 20 Sep 2001 23:54:19 -0500
* PR# 1140 *
Subject: Possible bug, Rprof() and scan(pipe())
From: Don MacQueen <macq@llnl.gov>
Date: Tue, 23 Oct 2001 13:50:26 -0700
--Doesn't happen on Solaris or Linux
* PR# 1145 *
Subject: Problem testing R version 1.3.1 on SGI Irix
From: Gordon Lack <gml4410@ggr.co.uk>
Date: Fri, 26 Oct 2001 19:04:04 +0100
--error from using SGI libblas (not reported on other systems?)
--use --without-blas
* PR# 1261 *
Subject: R_140 AND RHL_72 AND Packages
From: Patrick Gonin <gonin@genethon.fr>
Date: Wed, 15 Jan 2003 13:25:17 +0100
--Seems to relate to RH7.2 rpms
* PR# 1268 *
Subject: Solaris 2.6 Compile
From: gm81640@development.nssmb.com
Date: Thu, 17 Jan 2002 06:28:26 +0100 (MET)
--Most likely a compiler installation problem
* PR# 1272 *
Subject: eigen segfault with GCC 3 on Solaris
From: Paul Gilbert <pgilbert@bank-banque-canada.ca>
Date: Thu, 17 Jan 2002 15:14:33 -0500
--Seems to be a problem with g77 in gcc 3.0.2 on Solaris only.
--Probably a compiler bug
* PR# 1275 *
Subject: compile problem with bessel_i.c on IRIX64 flexor 6.5 10100655 IP35 (uname -a)
From: Walter Tautz <wtautz@math.uwaterloo.ca>
Date: Tue, 22 Jan 2002 10:05:20 -0500 (EST)

Directory:  TooMuchAtOnce

none

Directory:  Windows

none

Directory:  incoming

* PR# 1240 *
Subject:  R CMD check 
From: hoffmann@wsl.ch
Date: Fri, 4 Jan 2002 12:51:15 +0100 (MET)
* PR# 1283 *
Subject: max/min of NULL gives MININT/MAXINT instead of -INF/+INF
From: "Warnes, Gregory R" <gregory_r_warnes@groton.pfizer.com>
Date: Fri, 25 Jan 2002 14:36:52 -0500
* PR# 1284 *
Subject: make check fails when R_HOME env var set
From: "Warnes, Gregory R" <gregory_r_warnes@groton.pfizer.com>
Date: Fri, 25 Jan 2002 15:08:33 -0500
* PR# 1288 *
Subject: dimnames usage in ts
From: tkeitt@ms.cc.sunysb.edu
Date: Tue, 29 Jan 2002 21:11:08 +0100 (MET)
